%global momorel 1
%define __libtoolize :

Summary: GNOME IDE for C and C++
Name: anjuta
Version: 2.26.2.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://anjuta.sourceforge.net/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: ORBit2-devel >= 2.14.17
BuildRequires: libglade2-devel >= 2.6.4
BuildRequires: libgnome-devel >= 2.26.0
BuildRequires: libgnomecanvas-devel >= 2.26.0
BuildRequires: libgnomeui-devel >= 2.24.1
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: vte-devel >= 0.20.5
BuildRequires: libxml2-devel >= 2.7.3
BuildRequires: pango-devel >= 1.24.0
BuildRequires: gdl-devel >= 2.26.0
BuildRequires: libxslt-devel >= 1.1.24
BuildRequires: devhelp-devel >= 0.23
BuildRequires: gnome-build-devel >= 2.24.1
BuildRequires: glade3-devel >= 3.6.0
BuildRequires: graphviz-devel >= 2.22.2
BuildRequires: gtksourceview2-devel >= 2.6.0
BuildRequires: libgda4-devel >= 3.99.14

BuildRequires: autogen-devel >= 5.9
BuildRequires: binutils
BuildRequires: gcc-c++
BuildRequires: pcre-devel >= 7.0
BuildRequires: rarian
BuildRequires: subversion-devel >= 1.4.5
BuildRequires: httpd-devel >= 2.2.6
BuildRequires: glade3 >= 3.5.7
BuildRequires: neon-devel
BuildRequires: db4-devel >= 4.6.21
BuildRequires: apr-devel >= 1.2.8
BuildRequires: openldap-devel >= 2.4.0
%ifnarch x86_64
BuildRequires: gtk-doc
%endif
BuildRequires: WebKit-gtk-devel >= 1.1.1

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++. 
It has been written for GTK/GNOME, and features a number of advanced 
programming facilities. It is basically a GUI interface for the collection 
of command line programming utilities and tools available for the GNU system. 
These are usually run via a text console, and can be unfriendly to use.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel
Requires: libglade2-devel

%description devel
%{name}-devel

%package docs
Summary: Anjuta docuemntations package.
Group: Development/Tools

%description docs
Anjuta documentations.

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --with-apr-config=%{_bindir}/apr-1-config \
    --with-apu-config=%{_bindir}/apu-1-config \
    --with-neon-config=%{_bindir}/neon-config \
    --disable-schemas-install \
    --enable-gtk-doc \

%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

# remove confilict files (gnome-build)
rm -f %{buildroot}/%{_bindir}/gbf-am-parse
rm -f %{buildroot}/%{_bindir}/gbf-mkfile-parse

%clean
rm -rf --preserve-root %{buildroot}

%post
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/anjuta-build-basic-autotools-plugin.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-cvs-plugin.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-document-manager.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-editor-sourceview.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-language-cpp-java.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-message-manager-plugin.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-symbol-db.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-terminal-plugin.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta.schemas \
    > /dev/null || :

%postun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/anjuta-build-basic-autotools-plugin.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-cvs-plugin.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-document-manager.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-editor-sourceview.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-language-cpp-java.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-message-manager-plugin.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-symbol-db.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-terminal-plugin.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/anjuta-build-basic-autotools-plugin.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-cvs-plugin.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-document-manager.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-editor-sourceview.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-language-cpp-java.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-message-manager-plugin.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-symbol-db.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-terminal-plugin.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta.schemas \
	> /dev/null || :
fi

%post docs
rarian-sk-update

%postun docs
rarian-sk-update

%files
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/anjuta-build-basic-autotools-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-cvs-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-document-manager.schemas
%{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas
%{_sysconfdir}/gconf/schemas/anjuta-editor-sourceview.schemas
%{_sysconfdir}/gconf/schemas/anjuta-language-cpp-java.schemas
%{_sysconfdir}/gconf/schemas/anjuta-message-manager-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-symbol-db.schemas
%{_sysconfdir}/gconf/schemas/anjuta-terminal-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas
%{_sysconfdir}/gconf/schemas/anjuta.schemas

%{_bindir}/anjuta
%{_bindir}/anjuta_launcher

%{_libdir}/%{name}
%{_libdir}/libanjuta*.so.*
%exclude %{_libdir}/*.la
%{_libdir}/glade3/modules/libgladeanjuta.*

%{_datadir}/anjuta/*
%{_datadir}/applications/anjuta.desktop
%{_datadir}/pixmaps/anjuta
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-anjuta.png
%{_datadir}/icons/gnome/scalable/mimetypes/gnome-mime-application-x-anjuta.svg
%{_datadir}/icons/hicolor/48x48/apps/anjuta.png
%{_datadir}/icons/hicolor/scalable/apps/anjuta.svg
%exclude %{_datadir}/icons/hicolor/icon-theme.cache
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/help/anjuta-faqs
%{_datadir}/gnome/help/anjuta-manual
%{_datadir}/gnome/help/anjuta-build-tutorial
%{_datadir}/omf/anjuta-manual
%{_datadir}/glade3/catalogs/anjuta-glade.xml
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/libanjuta-1.0
%{_libdir}/libanjuta*.so
%{_libdir}/pkgconfig/libanjuta-1.0.pc

%files docs
%defattr(-, root, root)
%{_docdir}/anjuta/*
%{_datadir}/gtk-doc/html/*

%changelog
* Mon Jun 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2.2-1m)
- update to 2.26.2.2

* Wed Jun 10 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2.0-3m)
- rebuild against vte-0.20.5

* Tue Jun  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2.0-2m)
- rebuild against vte-0.20.4

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2.0-1m)
- update to 2.26.2.0

* Mon May 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.26.1.0-2m)
- rebuild against graphviz-2.22.2

* Tue Apr 14 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1.0-1m)
- update to 2.26.1.0

* Tue Mar 31 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0.1-1m)
- update to 2.26.0.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Tue Mar 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25.903.0-2m)
- rebuild against WebKit-1.1.1

* Thu Mar  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.903.0-1m)
- update to 2.25.903.0

* Fri Feb 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.902-1m)
- update to 2.25.902

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.901-3m)
- fix libgda4 version

* Sun Feb  8 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.25.901-2m)
- remove conflict files (gbf-am-parse, gbf-mkfile-parse)

* Sat Feb  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.901-1m)
- update to 2.25.901

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.2-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.24.2-2m)
- rebuild against python-2.6.1-1m
- revive /etc/gconf/schemas/anjuta-valgrind.schemas 

* Tue Nov 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Mon Oct 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Mon Oct 13 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.2-4m)
- rebuild against db4-4.7.25-1m
- not provide /etc/gconf/schemas/anjuta-valgrind.schemas

* Fri Sep 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0.1-1m)
- update to 2.24.0.1

* Mon Jul  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-3m)
- rebuild against gnome-build

* Sun Jul  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.4.2-2m)
- rebuild against graphviz-2.18

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-1m)
- update to 2.4.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.0-3m)
- rebuild against gcc43

* Sat Mar 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.0-2m)
- disable gtk-doc on x86_64 for the moment
- fix "File listed twice"

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.0-1m)
- update to 2.4.0

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.3-2m)
- rebuild against openldap-2.4.8

* Mon Dec  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.3-1m)
- update to 2.2.3

* Tue Oct 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.2-1m)
- update to 2.2.2

* Sat Oct 20 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.2.1-3m)
- rebuild against db4-4.6.21

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-2m)
- rebuild against libwnck-2.20.0
- rebuild against glade3-3.4.0

* Sun Sep  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Fri Jul 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-4m)
- add --with-apr-config option to configure

* Thu Jul 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.0-3m)
- add -maxdepth 1 to del .la

* Sat Jun 30 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.2.0-2m)
- add BuildRequires gdl-devel >= 0.7.6, gnome-build-devel >= 0.1.7

* Sat Jun 30 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0 (stable rerease)

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.3-1m)
- update to 2.1.3

* Fri Feb 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.0-2m)
- disable glade3

* Tue Jan 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0

* Mon Dec 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-15m)
- rebuild against graphviz-2.12-1m

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-14m)
- rebuild against binutils-2.17.50.0.8

* Sun Nov 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-13m)
- rebuild against db4-4.5.20-1m

* Wed Nov 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-12m)
- rebuild against graphiz-2.8-4m

* Sat Oct  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-11m)
- rebuild against binutils-2.17.50.0.3-3m

* Mon Sep 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-10m)
- rebuild against gdl-0.6.1-4m

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-9m)
- rebuild against vte-0.14.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.0.2-8m)
- rebuild against expat-2.0.0-1m

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-7m)
- delete libtool library

* Wed Jun 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-6m)
- rebuild against binutils-2.17

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-5m)
- rebuild against binutils-2.16.94

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-4m)
- delete duplicated dir and icon-theme.cache

* Wed Jun 01 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.2-3m)
- updated ja.po by the one at http://mikeforce.homelinux.org/

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-2m)
- delete duplicate dir

* Tue May 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Thu May  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-6m)
- use apr-1,apr-util-1

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.1-5m)
- rebuild against vte-0.12.1

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-4m)
- rebuild against httpd-2.0.55-3m

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-3m)
- rebuild against db4.3

* Wed Jan  3 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.1-2m)
- rebuild against neon-0.25.4

* Thu Jun 30 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Wed May 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Feb 14 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.2-5m)
- update libdir patch.

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-4m)
- run auto-brothers

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.2-3m)
- enable x86_64.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.2-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat May 8 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.2-1m)
- initial import
